Search specific report - Account money - Mercado Pago Developers
Search specific report

This endpoint allows you to search and filter Account money reports. Provides pagination and filtering capabilities to get results based on various criteria. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/account/settlement_report/search
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Query
id
integer
Specific identifier of the report to search for.
file_name
string
Exact name of the report file to search for. This field is case sensitive, so it must be exact.
begin_date
string
Start date of the reported period, that is, the moment at which the information collection began, not the creation date of the report. The format must be ISO 8601 UTC (YYYY-MM-DDTHH:mm:ssZ).
end_date
string
End date of the reported period, that is, the moment at which the information collection ended. The format must be ISO 8601 UTC (YYYY-MM-DDTHH:mm:ssZ).
Response parameters
paging
object
Pagination information.
results
array
List of reports matching the search criteria. Results are sorted by creation date in descending order (most recent first).
Errors

400Bad Request. Invalid parameters in the request.

invalid_id

The value informed for the 'id' parameter is invalid. Validate if the sent information is correct and try again.

invalid_offset

The offset is not valid or exceeds the maximum value of 10000. Validate if the sent information is correct and try again.

invalid_limit

The limit is not valid or exceeds the maximum value of 500. Validate if the sent information is correct and try again.

invalid_range

The value informed for the 'range' parameter is invalid. It must be 'date_created'.

invalid_range_begin_date

The range start date is invalid or was not informed when the 'range' parameter was used as a search filter. It is mandatory to send it in these cases.

invalid_range_end_date

The range end date is invalid or was not informed when the 'range' parameter was used as a search filter. It is mandatory to send it in these cases.

invalid_account_id

The value informed for the 'account_id' parameter is invalid. Validate if the sent information is correct and try again.

invalid_currency_id

The value informed for the 'currency_id' parameter is invalid. It must contain only uppercase letters and a maximum of 10 characters.

invalid_filters

The filters contain invalid fields. Check the 'filters' parameter documentation for more information.

invalid_alias_created_from

The value informed for the 'alias_created_from' parameter is invalid. It must be 'manual' or 'schedule'.

401Unauthorized.

unauthorized_user_id

The user is not authorized to access the requested resource. Validate if the sent information is correct and try again.

500Internal Server Error.

internal_error

Internal server error. Wait a few minutes and try again.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/account/settlement_report/search?id=17001104&file_name=settlement-report-238792004-2025-07-15-050017.csv&begin_date=2025-08-01T00:00:00Z&end_date=2025-08-05T23:59:59Z&created_from=manual&range=date_created&range_begin_date=2025-07-01T00:00:00Z&range_end_date=2025-07-31T23:59:59Z&account_id=208361929&currency_id=ARS&format=CSV&limit=30'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "paging": {
    "total": 4,
    "limit": 30,
    "offset": 0
  },
  "results": [
    {
      "id": 17001104,
      "user_id": 574264905,
      "begin_date": "2022-09-30T03:00:00Z",
      "end_date": "2022-10-02T02:59:59Z",
      "file_name": "settlement-report-USER_ID-2022-10-12-104118.csv",
      "created_from": "manual",
      "date_created": "2022-10-12T10:41:19.000-04:00",
      "download_date": "2022-10-12T10:42:55.000-04:00",
      "status": "processed",
      "origin": "date_range",
      "sub_type": null,
      "metadata": "{\"user_tags\": [\"normal\", \"credits_profile\", \"messages_as_seller\"], \"generation_model\": \"settlement\", \"last_movement_id\": 129309876619}",
      "model": "settlement",
      "account_id": 208361929,
      "currency_id": "ARS",
      "format": "CSV"
    }
  ]
}